Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
ezpContentLimitCriteria Class Reference
Inheritance diagram for ezpContentLimitCriteria:

## Public Member Functions
| __construct ()
| offset ( $offset)
| limit ( $limit)
| translate ()
| __toString ()

## Private Attributes
| $offset
| $limit

## Detailed Description

Definition at line 16 of file limit.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpContentLimitCriteria::__construct | ( |  | ) |

Definition at line 30 of file limit.php.

References offset().

## Member Function Documentation

## ◆ __toString()

ezpContentLimitCriteria::__toString | ( |  | ) |

Definition at line 74 of file limit.php.

References $limit.

## ◆ limit()

ezpContentLimitCriteria::limit | ( |  | $limit | ) |

Sets the limit criteria

Parameters

  $limit |

Returns
  ezpContentLimitCriteria Current limit criteria object

Definition at line 54 of file limit.php.

References $limit.

Referenced by translate().

## ◆ offset()

ezpContentLimitCriteria::offset | ( |  | $offset | ) |

Sets the offset criteria

Parameters

  $offset |

Returns
  ezpContentLimitCriteria Current limit criteria object

Definition at line 40 of file limit.php.

References $offset.

Referenced by __construct(), and translate().

## ◆ translate()

ezpContentLimitCriteria::translate | ( |  | ) |

Return the criteria as a value usable by eZContentObjectTreeNode Temporary method that needs to be refactored

Returns
  array

Implements ezpContentCriteriaInterface.

Definition at line 63 of file limit.php.

References limit(), and offset().

## Member Data Documentation

## ◆ $limit

ezpContentLimitCriteria::$limit
| private

Definition at line 28 of file limit.php.

Referenced by __toString(), and limit().

## ◆ $offset

ezpContentLimitCriteria::$offset
| private

Definition at line 22 of file limit.php.

Referenced by offset().

The documentation for this class was generated from the following file:

- limit.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.